Bug 469598 - Lockup after resume with iwlagn
Lockup after resume with iwlagn
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-02 20:47 EST by Martin Ebourne
Modified: 2009-04-14 17:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 17:18:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Ebourne 2008-11-02 20:47:53 EST
Description of problem:
Initially a suspend to ram then resume cycle comes back ok, but after 10-15 seconds (around the time NetworkManager would normally reconnect to the wireless net) the CPU maxes out and the keyboard is completely locked up. Track pad still works. Only way to save it is to use the rfkill switch to disable the wireless card which fixes the hang (although not the network of course). I have to reboot to restore network.

Version-Release number of selected component (if applicable):
kernel-2.6.27.4-19.fc9.x86_64


How reproducible:
Often, but not every time

Steps to Reproduce:
1. Suspend to RAM
2. Resume 
  
Actual results:
Keyboard will lock up after 10-15 seconds while NetworkManager icon is spinning, fan will ramp up straight away.


Expected results:
Should connect to network and behave normally.

Additional info:
10:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection (rev 61)

This was using the iwl4965 driver under 2.6.26 which now appears to be called iwlagn. I have a script in /etc/pm/sleep.d to modprobe [-r] iwl4965 over suspend since so far the driver has always needed to be reloaded. I can try without that tomorrow (though still shouldn't have this issue).

Last working kernel on this hw (HP-8510w) was kernel-2.6.26.5-45.fc9.x86_64. The current update for F9 of kernel-2.6.26.6-79.fc9.x86_64 regularly fails to resume, leaving a black screen. 2.6.27 might have fixed this but now wireless has broken it.


This might (or might not) be a clue, see it in messages at the time it locks up:

Nov  3 00:58:08 avenin kernel: INFO: task NetworkManager:2485 blocked for more than 120 seconds.
Nov  3 00:58:08 avenin kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Nov  3 00:58:08 avenin kernel: NetworkManage D ffff8801388b9d40     0  2485      1
Nov  3 00:58:08 avenin kernel: ffff88013682da58 0000000000000082 00000000000001bc ffffffff817078f0
Nov  3 00:58:08 avenin kernel: ffffffff81618480 ffffffff81618480 ffff88013510db80 ffff880100008000
Nov  3 00:58:08 avenin kernel: ffff88013510dec8 0000000100000000 0000000000000000 ffff88013510dec8
Nov  3 00:58:08 avenin kernel: Call Trace:
Nov  3 00:58:08 avenin kernel: [<ffffffff81123717>] ? avc_has_perm+0x4e/0x60
Nov  3 00:58:08 avenin kernel: [<ffffffff812bf92e>] __mutex_lock_common+0xa3/0x106
Nov  3 00:58:08 avenin kernel: [<ffffffff812bfa50>] __mutex_lock_slowpath+0x14/0x16
Nov  3 00:58:08 avenin kernel: [<ffffffff812bf887>] mutex_lock+0x2f/0x33
Nov  3 00:58:08 avenin kernel: [<ffffffff81248ae0>] rtnetlink_rcv+0x18/0x30
Nov  3 00:58:08 avenin kernel: [<ffffffff81259009>] netlink_unicast+0x114/0x189
Nov  3 00:58:08 avenin kernel: [<ffffffff812592dc>] netlink_sendmsg+0x25e/0x271
Nov  3 00:58:08 avenin kernel: [<ffffffff81232f5e>] __sock_sendmsg+0x59/0x62
Nov  3 00:58:08 avenin kernel: [<ffffffff8123389e>] sock_sendmsg+0xc7/0xe0
Nov  3 00:58:08 avenin kernel: [<ffffffff810536f5>] ? autoremove_wake_function+0x0/0x38
Nov  3 00:58:08 avenin kernel: [<ffffffff810536f5>] ? autoremove_wake_function+0x0/0x38
Nov  3 00:58:08 avenin kernel: [<ffffffff812342b5>] ? move_addr_to_kernel+0x40/0x49
Nov  3 00:58:08 avenin kernel: [<ffffffff8123ae9e>] ? verify_iovec+0x4f/0x91
Nov  3 00:58:08 avenin kernel: [<ffffffff81233a89>] sys_sendmsg+0x1d2/0x23c
Nov  3 00:58:08 avenin kernel: [<ffffffff810338e6>] ? pick_next_task_fair+0x93/0xa3
Nov  3 00:58:08 avenin kernel: [<ffffffff8103c76a>] ? finish_task_switch+0x31/0xc9
Nov  3 00:58:08 avenin kernel: [<ffffffff812bf1ca>] ? thread_return+0xab/0xd9
Nov  3 00:58:08 avenin kernel: [<ffffffff8107ce43>] ? audit_syscall_entry+0x101/0x135
Nov  3 00:58:08 avenin kernel: [<ffffffff8101024a>] system_call_fastpath+0x16/0x1b
Nov  3 00:58:08 avenin kernel:
Nov  3 00:58:08 avenin kernel: INFO: task wpa_supplicant:2489 blocked for more than 120 seconds.
Nov  3 00:58:08 avenin kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Nov  3 00:58:08 avenin kernel: wpa_supplican D 0000000000000002     0  2489      1
Nov  3 00:58:08 avenin kernel: ffff880136849ae8 0000000000000086 00000000000001b6 ffffffff81707890
Nov  3 00:58:08 avenin kernel: ffffffff81618480 ffffffff81618480 ffff880135108000 ffff88013babdb80
Nov  3 00:58:08 avenin kernel: ffff880135108348 0000000000400000 ffff880136849a88 ffff880135108348
Nov  3 00:58:08 avenin kernel: Call Trace:
Nov  3 00:58:08 avenin kernel: [<ffffffff81123717>] ? avc_has_perm+0x4e/0x60
Nov  3 00:58:08 avenin kernel: [<ffffffff812bf92e>] __mutex_lock_common+0xa3/0x106
Nov  3 00:58:08 avenin kernel: [<ffffffff812bfa50>] __mutex_lock_slowpath+0x14/0x16
Nov  3 00:58:08 avenin kernel: [<ffffffff812bf887>] mutex_lock+0x2f/0x33
Nov  3 00:58:08 avenin kernel: [<ffffffff81248ae0>] rtnetlink_rcv+0x18/0x30
Nov  3 00:58:08 avenin kernel: [<ffffffff81259009>] netlink_unicast+0x114/0x189
Nov  3 00:58:08 avenin kernel: [<ffffffff812592dc>] netlink_sendmsg+0x25e/0x271
Nov  3 00:58:08 avenin kernel: [<ffffffff81232f5e>] __sock_sendmsg+0x59/0x62
Nov  3 00:58:08 avenin kernel: [<ffffffff8123389e>] sock_sendmsg+0xc7/0xe0
Nov  3 00:58:08 avenin kernel: [<ffffffff810be565>] ? do_sync_readv_writev+0xe3/0x12b
Nov  3 00:58:08 avenin kernel: [<ffffffff810536f5>] ? autoremove_wake_function+0x0/0x38
Nov  3 00:58:08 avenin kernel: [<ffffffff810536f5>] ? autoremove_wake_function+0x0/0x38
Nov  3 00:58:08 avenin kernel: [<ffffffff810be35e>] ? fsnotify_modify+0x62/0x6a
Nov  3 00:58:08 avenin kernel: [<ffffffff812331f4>] ? sockfd_lookup_light+0x1b/0x54
Nov  3 00:58:08 avenin kernel: [<ffffffff8123439d>] sys_sendto+0xdf/0x107
Nov  3 00:58:08 avenin kernel: [<ffffffff8101024a>] system_call_fastpath+0x16/0x1b
Comment 1 Martin Ebourne 2008-11-10 15:34:39 EST
Appears to be fixed in F10 preview.

kernel-2.6.27.4-79.fc10.x86_64
Comment 2 Charles R. Anderson 2008-11-17 20:27:12 EST
Great, another wireless issue fixed by 2.6.27.  Please test with latest F9 updates-testing kernel:

kernel-2.6.27.5-37.fc9.x86_64.rpm

and report back here.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.